List RTStreams
curl --request GET \
--url https://api.videodb.io/rtstream/ \
--header 'x-access-token: <api-key>'const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/rtstream/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/rtstream/' -Method GET -Headers $headersimport Foundation
let url = URL(string: "https://api.videodb.io/rtstream/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-access-token": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/rtstream/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.videodb.io/rtstream/")
.get()
.addHeader("x-access-token", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"results": [
{
"id": "rts-12345",
"name": "My Stream",
"status": "connected",
"sample_rate": 30,
"media_types": [
"video",
"audio"
],
"collection_id": "default",
"store": false,
"created_at": "2023-11-07T05:31:56Z"
}
],
"count": 25,
"next": "/rtstream/?limit=10&offset=10",
"previous": null
}
}List RTStreams
List all RTStreams with filtering and pagination
GET
/
rtstream
/
List RTStreams
all real-time streams with optional filtering by status, name, and sorting.
- Filter by
status:connectedorstopped - Filter by
name(substring match) - Use
orderingfor sorting (prefix with-for descending, e.g.,-created_at) - Results are paginated with
limitandoffset
Authorizations
API key for authentication (sk-xxx format)
Query Parameters
Example:
10
Example:
0
Available options:
connected, stopped Example:
"connected"
Filter by name substring
Example:
"my stream"
Sort field (prefix with - for descending)
Example:
"-created_at"
⌘I